* [PATCH] kbuild: Don't remove link-vmlinux temporary files on exit/signal
@ 2021-05-05 3:35 Andi Kleen
2021-05-05 17:46 ` Masahiro Yamada
0 siblings, 1 reply; 2+ messages in thread
From: Andi Kleen @ 2021-05-05 3:35 UTC (permalink / raw)
To: masahiroy; +Cc: linux-kbuild, Andi Kleen
Keep them around until they are cleaned up by make clean. This
uses a bit more disk space, but makes it easier to debug any
problems with the kernel link process.
Suggested-by: Masahiro Yamada <masahiroy@kernel.org>
Signed-off-by: Andi Kleen <ak@linux.intel.com>
---
scripts/link-vmlinux.sh | 14 --------------
1 file changed, 14 deletions(-)
diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh
index 7d112681f332..f4de4c97015b 100755
--- a/scripts/link-vmlinux.sh
+++ b/scripts/link-vmlinux.sh
@@ -320,20 +320,6 @@ cleanup()
rm -f .vmlinux.d
}
-on_exit()
-{
- if [ $? -ne 0 ]; then
- cleanup
- fi
-}
-trap on_exit EXIT
-
-on_signals()
-{
- exit 1
-}
-trap on_signals HUP INT QUIT TERM
-
# Use "make V=1" to debug this script
case "${KBUILD_VERBOSE}" in
*1*)
--
2.25.4
^ permalink raw reply related [flat|nested] 2+ messages in thread
* Re: [PATCH] kbuild: Don't remove link-vmlinux temporary files on exit/signal
2021-05-05 3:35 [PATCH] kbuild: Don't remove link-vmlinux temporary files on exit/signal Andi Kleen
@ 2021-05-05 17:46 ` Masahiro Yamada
0 siblings, 0 replies; 2+ messages in thread
From: Masahiro Yamada @ 2021-05-05 17:46 UTC (permalink / raw)
To: Andi Kleen; +Cc: Linux Kbuild mailing list
On Wed, May 5, 2021 at 12:35 PM Andi Kleen <ak@linux.intel.com> wrote:
>
> Keep them around until they are cleaned up by make clean. This
> uses a bit more disk space, but makes it easier to debug any
> problems with the kernel link process.
>
> Suggested-by: Masahiro Yamada <masahiroy@kernel.org>
> Signed-off-by: Andi Kleen <ak@linux.intel.com>
> ---
Applied to linux-kbuild. Thanks.
> scripts/link-vmlinux.sh | 14 --------------
> 1 file changed, 14 deletions(-)
>
> diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh
> index 7d112681f332..f4de4c97015b 100755
> --- a/scripts/link-vmlinux.sh
> +++ b/scripts/link-vmlinux.sh
> @@ -320,20 +320,6 @@ cleanup()
> rm -f .vmlinux.d
> }
>
> -on_exit()
> -{
> - if [ $? -ne 0 ]; then
> - cleanup
> - fi
> -}
> -trap on_exit EXIT
> -
> -on_signals()
> -{
> - exit 1
> -}
> -trap on_signals HUP INT QUIT TERM
> -
> # Use "make V=1" to debug this script
> case "${KBUILD_VERBOSE}" in
> *1*)
> --
> 2.25.4
>
--
Best Regards
Masahiro Yamada
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2021-05-05 17:49 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-05-05 3:35 [PATCH] kbuild: Don't remove link-vmlinux temporary files on exit/signal Andi Kleen
2021-05-05 17:46 ` Masahiro Yamada
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox